
#ifndef _AMBITCFG_H
#define _AMBITCFG_H

#define WW_VERSION           1 /* WW SKUs */
#define NA_VERSION           2 /* NA SKUs */
#define JP_VERSION           3
#define GR_VERSION           4
#define PR_VERSION           5
#define KO_VERSION           6
#define RU_VERSION           7
#define SS_VERSION           8
#define PT_VERSION           9
#define TWC_VERSION          10
#define BRIC_VERSION         11

#define WLAN_REGION          WW_VERSION
#define FW_REGION            WW_VERSION   /* true f/w region */

#define ISP_NO               0
#define ISP_VIRGIN           1
#define ISP_TDC              2
#define ISP_ESSENT           3
#define ISP_VCNA             4

#define ISP_VERSION          ISP_NO
/*formal version control*/
#define AMBIT_HARDWARE_VERSION     "U12H19700"
#define AMBIT_SOFTWARE_VERSION     "V1.0.0.30"
#define AMBIT_UI_VERSION           "1.0.58"
#define STRING_TBL_VERSION         "1.0.0.30_2.1.9.1"

#define AMBIT_PRODUCT_NAME          "WN2500RP"
#define AMBIT_PRODUCT_DESCRIPTION   "Netgear Wireless Router WN2500RP"
#define UPnP_MODEL_URL              "WN2500RP.aspx"
#define UPnP_MODEL_DESCRIPTION      "RangeMax NEXT"

#define DOCUMENT_URL                "http://docs.netgear.com/WN2500RP/enu/202-10932-01/index.html"



#define SUCCESS_URL                "http://www.netgear.com/success/wn2500rp-en.aspx"


#define UPnP_MODEL_NAME             "WN2500RP"


#define DF_2G_ROOTAP_SSID          "NETGEAR_DF_2G_465"
#define DF_5G_ROOTAP_SSID          "NETGEAR_DF_5G_465"


#define AMBIT_NVRAM_VERSION  "1" /* digital only */

#ifdef AMBIT_UPNP_SA_ENABLE 
#define SMART_WIZARD_SPEC_VERSION "0.7"  /* This is specification version of smartwizard 2.0 */
#endif

/****************************************************************************
 ***
 ***        put AMBIT features here!!!
 ***
 ***
 ****************************************************************************/

#define WAN_IF_NAME_NUM     "vlan2"
#define LAN_IF_NAME_NUM     "vlan1"
#define WLAN_IF_NAME_NUM    "eth1"
#define WLAN_N_IF_NAME_NUM          "eth2"
#define WDS_IF_NAME_NUM     "wds0.1"    /* WDS interface */


#ifdef MULTIPLE_SSID
#define WLAN_BSS1_NAME_NUM          "wl0.1"     /* Multiple BSSID #2 */
#define WLAN_BSS2_NAME_NUM          "wl0.2"     /* Multiple BSSID #3 */
#define WLAN_BSS3_NAME_NUM          "wl0.3"     /* Multiple BSSID #4 */


#define WLAN_5G_BSS1_NAME_NUM       "wl1.1"     /* Multiple BSSID #2 */
#define WLAN_5G_BSS2_NAME_NUM       "wl1.2"     /* Multiple BSSID #3 */
#define WLAN_5G_BSS3_NAME_NUM       "wl1.3"     /* Multiple BSSID #4 */

#endif /* MULTIPLE_SSID */


/* GPIO definitions */
#define GPIO_POWER_LED_ON           16  
#define GPIO_POWER_LED_ON_STR       "16"
#define GPIO_POWER_LED_GREEN        14  
#define GPIO_POWER_LED_GREEN_STR    "14"
#define GPIO_POWER_LED_AMBER        14   
#define GPIO_POWER_LED_AMBER_STR    "14"

#define GPIO_WAN_LED                24
#define ML1_MTD_RD                  "/dev/mtdblock/3"
#define ML1_MTD_WR                  "/dev/mtd/3"
#define ML2_MTD_RD                  "/dev/mtdblock/4"
#define ML2_MTD_WR                  "/dev/mtd/4"


#ifdef X_ST_ML
#define ML3_MTD_RD                  "/dev/mtdblock/5"
#define ML3_MTD_WR                  "/dev/mtd/5"
#define ML4_MTD_RD                  "/dev/mtdblock/6"
#define ML4_MTD_WR                  "/dev/mtd/6"
#define ML5_MTD_RD                  "/dev/mtdblock/7"
#define ML5_MTD_WR                  "/dev/mtd/7"
#define ML6_MTD_RD                  "/dev/mtdblock/8"
#define ML6_MTD_WR                  "/dev/mtd/8"
#define ML7_MTD_RD                  "/dev/mtdblock/9"
#define ML7_MTD_WR                  "/dev/mtd/9"

#define LANG_TBL_MTD_RD             "/dev/mtdblock/"
#define LANG_TBL_MTD_WR             "/dev/mtd/"

#define LANG_TBL_MTD_START          3
#define LANG_TBL_MTD_END            9
#define ST_SUPPORT_NUM              7        /* The maxium value can be 2-8. */
#ifndef FLASH_MTD_ML_SIZE
#define FLASH_MTD_ML_SIZE           0x10000
#endif
#define BUILTIN_LANGUAGE            "English"

#define ML_MTD_RD                   "/dev/mtdblock/"
#define ML_MTD_WR                   "/dev/mtd/"

#define TF1_MTD_RD                  "/dev/mtdblock/10"
#define TF1_MTD_WR                  "/dev/mtd/10"
#define TF2_MTD_RD                  "/dev/mtdblock/11"
#define TF2_MTD_WR                  "/dev/mtd/11"

#define POT_MTD_RD                  "/dev/mtdblock/12"
#define POT_MTD_WR                  "/dev/mtd/12"

#define BD_MTD_RD                   "/dev/mtdblock/13"
#define BD_MTD_WR                   "/dev/mtd/13"

#define NVRAM_MTD_RD                "/dev/mtdblock/14"
#define NVRAM_MTD_WR                "/dev/mtd/14"
#else
#define TF1_MTD_RD                  "/dev/mtdblock/5"
#define TF1_MTD_WR                  "/dev/mtd/5"
#define TF2_MTD_RD                  "/dev/mtdblock/6"
#define TF2_MTD_WR                  "/dev/mtd/6"

#define POT_MTD_RD                  "/dev/mtdblock/7"
#define POT_MTD_WR                  "/dev/mtd/7"

#define BD_MTD_RD                   "/dev/mtdblock/8"
#define BD_MTD_WR                   "/dev/mtd/8"

#define NVRAM_MTD_RD                "/dev/mtdblock/9"
#define NVRAM_MTD_WR                "/dev/mtd/9"
#endif


/* The following definition is used in acosNvramConfig.c and acosNvramConfig.h
 * to distingiush between Foxconn's and Broadcom's implementation.
 */
#define BRCM_NVRAM          /* use broadcom nvram instead of ours */

/* The following definition is to used as the key when doing des
 * encryption/decryption of backup file.
 * Have to be 7 octects.
 */
#define BACKUP_FILE_KEY         "NtgrBak"

#endif /*_AMBITCFG_H*/
